
.form-container {
    clear: both;
    position: relative;
    height: calc(100vh - 50px);
}

.form-square {
    position: absolute;
    top: 32px;
    left: 0;
    width: 18px;
    height: 18px;
    background-color: #3cb878;
}

.form-whole {
    position: absolute;
    top: 50%;
    left: 50%;
    width: 350px;
    padding: 20px 50px;
    border-radius: 10px;
    background-color: white;
    transform: translate(-50%, -50%);
}

.form-header-actions {
    height: 40px;
    line-height: 40px;
    margin-bottom: 20px;
}

.form-elem-or {
    display: inline-block;
    width: 13%;
    text-align: center;
    color: #949494;
}

.form-hr-container {
    margin-bottom: 10px;
}

.form-hr-left {
    width: 41%;
    display: inline-block;
    vertical-align: middle;
    background: #dbd9d9;
    height: 1px;
    border: none;
}

.form-hr-right {
    width: 41%;
    display: inline-block;
    height: 1px;
    border: none;
    vertical-align: middle;
    background-color: #dbd9d9;
}

.form > * {
    width: 100%;
    box-sizing: border-box;
    padding: 10px;
    margin: 10px 0;
    border: 1px solid #dbd9d9;
    border-radius: 3px;
    font-size: 16px;
}

.form > *:focus {
    box-shadow: 2px 5px 6px 0 #dbd9d9;
}

.form-input-check, .form-input-check-label {
    box-shadow: none;
    border: none;
}

.form-input-submit {
    margin-top: 35px;
    border: none;
    color: white;
    background-color: #3cb878;
}

.form-input-submit:hover {
    background-color: #329a65;
    transition: background-color 1s;
}

.form-header-sign {
    float: left;
    font-weight: normal;
}

.form-header-log {
    float: right;
    font-size: 16px;
    font-weight: normal;
}

.form-header-buttons {
    overflow: hidden;
}

.form-header-button-fb,
.form-header-button-google {
    position: relative;
    width: 49%;
    height: 46px;
    font-size: 16px;
    font-weight: normal;
    color: white;
    border: none;
    border-radius: 3px;
    padding: 0 10px 0 30px;
}


.form-header-button-fb {
    float: left;
    margin-bottom: 30px;
    background-color: #305db8;
}

.form-header-button-fb::before,
.form-header-button-google::before {
    content: '';
    position: absolute;
    top: 50%;
    left: 0;
    width: 20px;
    height: 20px;
    transform: translateY(-50%);
    background: url('img/fb.png') 50% 50% no-repeat;
    border-right: 1px solid #5a5757;
    padding-right: 20px;
}

.form-header-button-google::before {
    background: url('img/G+.png') 50% 50% no-repeat;
}

.form-header-button-fb:hover {
    background-color: #264b96;
    transition: background-color 1s;
}

.form-header-button-google {
    float: right;
    margin-bottom: 30px;
    background-color: #df4a32;
}

.form-header-button-google:hover {
    background-color: #c3412c;
    transition: background-color 1s;
}

.form-input-confirm-pass {
    margin-bottom: 20px;
}

.form-input-check-label {
    position: relative;
    padding-left: 30px;
}

.form-input-check-label::before,
.form-input-check-label::after {
    content: '';
    position: absolute;
    width: 20px;
    height: 20px;
    border: 1px solid #dbd9d9;
}

.form-input-check-label::before {
    left: 0;
    border-radius: 3px;
}

.form-input-check-label::after {
    visibility: hidden;
    width: 7px;
    height: 11px;
    left: 6px;
    top: 12px;
    border-color: #3cb878;
    border-width: 0 3px 3px 0;
    transform: rotate(45deg);
}

#form-input-check:checked + label::after {
    visibility: visible;
}

#form-input-check {
    display: none;
}

input::placeholder {
    color: rgba(190, 190, 190, 255);
}

input {
    outline: none;
}